CommandListener (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.server.CommandListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.server
Class CommandListener

    java.lang.Object
      org.hyperic.hq.agent.server.monitor.AgentMonitorSimple
          org.hyperic.hq.agent.server.CommandListener

All Implemented Interfaces:
  AgentMonitorInterface

    public class CommandListener

extends AgentMonitorSimple

The object used to read serialized object data from the network and send it to the CommandDispatcher.

Field Summary

Fields inherited from interface org.hyperic.hq.agent.server.monitor.AgentMonitorInterface
`KEY_KEYS, KEY_TYPES`

Method Summary
`double` | `getMaxRequestTime()` MONITOR METHOD: Gets the longest request time in milliseconds
`double` | `getMinRequestTime()` MONITOR METHOD: Gets the shortest request time in milliseconds
`double` | `getNumConnFailures()` MONITOR METHOD: Gets the number of connection failures
`double` | `getNumRequestsServed()` MONITOR METHOD: Gets the number of requests served
`double` | `getTotalRequestTime()` MONITOR METHOD: Gets the total number of milliseconds spent in requests

Methods inherited from class org.hyperic.hq.agent.server.monitor.AgentMonitorSimple
`getMonitorKeys, getMonitorTypes, getMonitorValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNumRequestsServed

    public double getNumRequestsServed()
                                throws AgentMonitorException

  MONITOR METHOD: Gets the number of requests served

  Throws:
    `AgentMonitorException`

### getNumConnFailures

    public double getNumConnFailures()
                              throws AgentMonitorException

  MONITOR METHOD: Gets the number of connection failures

  Throws:
    `AgentMonitorException`

### getTotalRequestTime

    public double getTotalRequestTime()
                               throws AgentMonitorException

  MONITOR METHOD: Gets the total number of milliseconds spent in requests

  Throws:
    `AgentMonitorException`

### getMaxRequestTime

    public double getMaxRequestTime()
                             throws AgentMonitorException

  MONITOR METHOD: Gets the longest request time in milliseconds

  Throws:
    `AgentMonitorException`

### getMinRequestTime

    public double getMinRequestTime()
                             throws AgentMonitorException

  MONITOR METHOD: Gets the shortest request time in milliseconds

  Throws:
    `AgentMonitorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.